package com.gydx.service.impl;

import com.gydx.demo.Result;
import com.gydx.mapper.BiddingProcessMapper;
import com.gydx.service.BiddingProcessService;
import com.gydx.vo.BiddingProcessVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DuplicateKeyException;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class BiddingProcessImpl implements BiddingProcessService {

    @Autowired
    BiddingProcessMapper biddingProcessMapper;

    @Override
    public List queryAllBP(BiddingProcessVO biddingProcessVO) {
        return biddingProcessMapper.queryAllBP(biddingProcessVO);
    }

    @Override
    public List queryAllByBiddingMesID(BiddingProcessVO biddingProcessVO) {
        return biddingProcessMapper.queryAllByBiddingMesID(biddingProcessVO);
    }

    @Override
    public Integer insertProcessMes(BiddingProcessVO biddingProcessVO) {
        try {
            biddingProcessMapper.insertProcessMes(biddingProcessVO);
            return 1;
        }catch(Exception e){
            return 0;
        }
    }

    @Override
    public Integer updateProcessMes(BiddingProcessVO biddingProcessVO) {
        return biddingProcessMapper.updateProcessMes(biddingProcessVO);
    }

    @Override
    public BiddingProcessVO queryBPByMesIDSupId(BiddingProcessVO biddingProcessVO) {
        return biddingProcessMapper.queryBPByMesIDSupId(biddingProcessVO);
    }
}
