package com.gydx.controller;


import com.gydx.demo.Result;
import com.gydx.demo.SetId;
import com.gydx.service.VendorManagementService;
import com.gydx.vo.FoodSupplierVO;
import com.gydx.vo.ManagerUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/FoodSupplierVO")
public class VendorManagementController {

    @Autowired
    VendorManagementService vendorManagementService;

    @RequestMapping("/addSupplier")
    public void addSupplier(FoodSupplierVO foodSupplierVO) {
        SetId SetId = new SetId();
        foodSupplierVO.setFoodSupplierID(SetId.generateRandomDOC());
        vendorManagementService.addSupplier(foodSupplierVO);
    }

    @RequestMapping("/queryLoginlyh")
    public List queryLoginlyh(FoodSupplierVO foodSupplierVO) {
        return vendorManagementService.queryLoginlyh(foodSupplierVO);
    }

    @RequestMapping("/deleteSupplier")
    public void deleteSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementService.deleteSupplier(foodSupplierVO);
    }

    @RequestMapping("/updateSupplier")
    public void updateSupplier(FoodSupplierVO foodSupplierVO) {
        vendorManagementService.updateSupplier(foodSupplierVO);
    }

    @RequestMapping("/querySupplier")
    public List querySupplier(FoodSupplierVO foodSupplierVO){
        return vendorManagementService.querySupplier(foodSupplierVO);
    }
    @RequestMapping("/querypeoplenum")
    public List querypeoplenum(FoodSupplierVO foodSupplierVO){
        return vendorManagementService.querypeoplenum(foodSupplierVO);
    }

    @RequestMapping("LoginByLinkPass")
    public Result LoginByLinkPass(FoodSupplierVO foodSupplierVO){
        String username = foodSupplierVO.getFoodSupplierLink();
        String password = foodSupplierVO.getFoodSupplierPass();
        List list = vendorManagementService.LoginByLinkPass(foodSupplierVO);
        FoodSupplierVO vo = (FoodSupplierVO) list.get(0);
        if (vo == null){
            return Result.error("没有该用户");
        }else if (username == null || username.isEmpty() || password == null||password.isEmpty()){
            // 如果用户名不存在，则返回用户名错误信息
            return Result.error("用户名或者密码错误");
        }else if (password.equals(vo.getFoodSupplierPass())){
            // // 如果密码匹配，则登录成功
            return Result.success(vo.getFoodSupplierID());
        }
        // 如果密码不匹配，则返回密码错误信息
        return Result.error("密码错误！");
    }
}
